<?php
require_once('config.php');

$query = "SELECT * FROM inventory_yeasts ORDER BY laboratory,product_id,name";
$connect = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $connect) {
	echo "[]";
	return;
}
$result = mysqli_query($connect, $query);
while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
	$yeasts[] = array(
		'record' => $row['record'],
		'name' => $row['name'],
		'type' => $row['type'],
		'form' => $row['form'],
		'laboratory' => $row['laboratory'],
		'product_id' => $row['product_id'],
		'min_temperature' => $row['min_temperature'],
		'max_temperature' => $row['max_temperature'],
		'flocculation' => $row['flocculation'],
		'attenuation' => $row['attenuation'],
		'cells' => $row['cells'],
		'inventory' => $row['inventory'],
		'cost' => $row['cost'],
		'tolerance' => $row['tolerance'],
		'sta1' => $row['sta1'],
		'bacteria' => $row['bacteria'],
		'harvest_top' => $row['harvest_top'],
		'harvest_time' => $row['harvest_time'],
		'pitch_temperature' => $row['pitch_temperature'],
		'pofpos' => $row['pofpos'],
		'zymocide' => $row['zymocide']
	);
}
header("Content-type: application/json");
echo json_encode($yeasts);
